VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::hardware::CdromTypes::HostBusAdapterType Class Reference

The `Cdrom.HostBusAdapterType` enumerated type defines the valid types of host bus adapters that may be used for attaching a Cdrom to a virtual machine. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, IDE, SATA }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static HostBusAdapterType[] | GetValues ()
static HostBusAdapterType | ValueOf (string name)
## Static Public Attributes
static readonly HostBusAdapterType | IDE = new HostBusAdapterType("IDE", Values.IDE)
| Cdrom is attached to an IDE adapter.
static readonly HostBusAdapterType | SATA = new HostBusAdapterType("SATA", Values.SATA)
| Cdrom is attached to a SATA adapter.

## Detailed Description

The `Cdrom.HostBusAdapterType` enumerated type defines the valid types of host bus adapters that may be used for attaching a Cdrom to a virtual machine.

## Member Enumeration Documentation

enum vmware::vcenter::vm::hardware::CdromTypes::HostBusAdapterType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  IDE | Cdrom is attached to an IDE adapter.
  SATA | Cdrom is attached to a SATA adapter.

## Member Function Documentation

Values vmware::vcenter::vm::hardware::CdromTypes::HostBusAdapterType::GetEnumValue | ( |  | ) | `[inline]`

static HostBusAdapterType [] vmware::vcenter::vm::hardware::CdromTypes::HostBusAdapterType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::hardware::CdromTypes::HostBusAdapterType::IsUnknown | ( |  | ) | `[inline]`

static HostBusAdapterType vmware::vcenter::vm::hardware::CdromTypes::HostBusAdapterType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly HostBusAdapterType vmware::vcenter::vm::hardware::CdromTypes::HostBusAdapterType::IDE = new HostBusAdapterType("IDE", Values.IDE)`[static]`

Cdrom is attached to an IDE adapter.

readonly HostBusAdapterType vmware::vcenter::vm::hardware::CdromTypes::HostBusAdapterType::SATA = new HostBusAdapterType("SATA", Values.SATA)`[static]`

Cdrom is attached to a SATA adapter.

The documentation for this class was generated from the following file:

- CdromTypes.cs